using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability370.Domain;

public class TaobaoTbkDgMaterialTemporaryOptionalTopNInfoDTO
{

    /*
        百亿补贴品牌logo
    */
    private string? bybtBrandLogo;


    /*
        百亿补贴白底图
    */
    private string? bybtPicUrl;


    /*
        百亿补贴商品特征标签，eg.今日发货、晚发补偿、限购一件等
    */
    private IList<string>? bybtItemTags;


    /*
        百亿补贴专属券面额，仅限百亿补贴场景透出
    */
    private string? bybtCouponAmount;


    /*
        百亿补贴页面实时价
    */
    private string? bybtShowPrice;


    /*
        全网对比参考价格
    */
    private string? bybtLowestPrice;


    /*
        商品的百亿补贴开始时间
    */
    private string? bybtEndTime;


    /*
        商品的百亿补贴结束时间
    */
    private string? bybtStartTime;



    [JsonPropertyName("bybt_brand_logo")]
    public string? BybtBrandLogo
    {
        get => bybtBrandLogo;
        set => this.bybtBrandLogo = value;
    }

    [JsonPropertyName("bybt_pic_url")]
    public string? BybtPicUrl
    {
        get => bybtPicUrl;
        set => this.bybtPicUrl = value;
    }

    [JsonPropertyName("bybt_item_tags")]
    public IList<string>? BybtItemTags
    {
        get => bybtItemTags;
        set => this.bybtItemTags = value;
    }

    [JsonPropertyName("bybt_coupon_amount")]
    public string? BybtCouponAmount
    {
        get => bybtCouponAmount;
        set => this.bybtCouponAmount = value;
    }

    [JsonPropertyName("bybt_show_price")]
    public string? BybtShowPrice
    {
        get => bybtShowPrice;
        set => this.bybtShowPrice = value;
    }

    [JsonPropertyName("bybt_lowest_price")]
    public string? BybtLowestPrice
    {
        get => bybtLowestPrice;
        set => this.bybtLowestPrice = value;
    }

    [JsonPropertyName("bybt_end_time")]
    public string? BybtEndTime
    {
        get => bybtEndTime;
        set => this.bybtEndTime = value;
    }

    [JsonPropertyName("bybt_start_time")]
    public string? BybtStartTime
    {
        get => bybtStartTime;
        set => this.bybtStartTime = value;
    }

}

